Syncfusion Input controls for Windows Forms provides various input controls needed in line of business applications. This package contains the following controls.

## List of Controls:

[Calendar](https://www.syncfusion.com/winforms-ui-controls/calendar?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Date-Time Edit](https://www.syncfusion.com/winforms-ui-controls/datetimepicker?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Numeric TextBox](https://www.syncfusion.com/winforms-ui-controls/numeric-textbox?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

## Calendar

The SfCalendar is a control that allows you to select a date from calendar, and it provides various customization options for the calendar. This provides multiple views of the month, year, decade, and century, so that dates can be selected easily. The SfCalendar supports multiple selection and provides complete customization options to the control.

### Key features

* Different views - Supports month, year, decade, and century views to quickly select a date.
* Date-range support - Provides maximum and minimum dates support to prevent users from selecting dates within a specified range.
* Globalization and localization - Supports localizing the first day of a week, localizing static text, and day names based on the culture.
* Special dates - Supports highlighting special dates with icons and descriptions.
* Blackout dates - Supports blocking a certain dates from selection and user interaction. Separate styles can be applied to blackout dates.
* Accessibility - Provides touch, keyboard, and mouse supports to make applications available to a wide variety of users.
* Testing - Provides QTP add-in that contains custom libraries, which helps QTP to recognize SfCalendar.

## Date-Time Edit

The SfDateTimeEdit is a control that allows you to edit DateTime in the text or mask format with the support of minimum and maximum values validation, watermark, and globalization. It provides flexible options to display the date-time according to the required format.

### Key features

* Editing mode - Supports the default text editing and mask mode that helps to restrict the date input in formatted values based on a date-time pattern.
* Date-range support - Supports the maximum and minimum dates to prevent users from setting a date or time within a specified range.
* Globalization - Supports different date-time formats and patterns based on cultures.
* Date validation - Supports date validation and error messages due to invalid dates or when date range constraints are met.
* Accessibility - Provides touch, keyboard, and mouse support to make applications available to a wide variety of users.
* Watermark - Supports to display watermark text when a selected date is null.
* Testing - Provides QTP add-in that contains custom libraries, which helps QTP to recognize SfDateTimeEdit.

## Numeric TextBox

The NumericTextBox control is an advanced text box control that allows you to enter numeric values in a specific format such as numeric, currency, and percent. It also provides support to display value with custom units.

### Key features

* Different modes - Supports specific modes such as numeric, currency, and percent.
* Value range support - Allows us to define and validate the value based on minimum and maximum values.
* Formatting - Supports to format the value as users need.
* Hide trailing zeros - Supports hiding trailing zeros.
* Watermark - Supports to display watermark text when value is null.
* Custom units - Supports to display values with custom units that can be appended as prefix or suffix.

## Related links
[Learn More about WinForms UI Controls](https://www.syncfusion.com/winforms-ui-controls/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Documentation](https://help.syncfusion.com/windowsforms/overview?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Release History](https://help.syncfusion.com/windowsforms/release-notes/v19.4.0.38?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Online Demos](https://github.com/syncfusion/winforms-demos/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/winforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

[Pricing](https://www.syncfusion.com/sales/products/windowsforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products/windowsforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Notifications%20WinUI-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=windows-input-nuget) | Toll Free: 1-888-9 DOTNET


